#!/bin/sh

# Get the canonical pathname of where the configure script is.
_DIR=`pwd`
SRC_TOP=`dirname $0`
cd $SRC_TOP
SRC_TOP=`pwd`
cd $_DIR

if [ x"$APXS" = x ] ; then 
	APXS=`which apxs2`
	[ $APXS ] || APXS=`which apxs`
fi

MODULE_DIR=`$APXS -q LIBEXECDIR`

APR_CFLAGS=`apr-1-config --cflags --cppflags --includes`
APR_LDFLAGS=`apr-1-config --link-ld --libs`

APU_CFLAGS=`apu-1-config --includes`
APU_LDFLAGS=`apu-1-config --link-ld --libs`

cat > "$SRC_TOP"/Makefile <<EOM
SRC_TOP = "$SRC_TOP"
APR_CFLAGS = $APR_CFLAGS
APR_LDFLAGS = $APR_LDFLAGS

MODULE_DIR = $MODULE_DIR

APU_CFLAGS = $APU_CFLAGS
APU_LDFLAGS = $APU_LDFLAGS
APXS = "$APXS"

APXS_CFLAGS = $APXS_CFLAGS
APXS_LDFLAGS = $APXS_LDFLAGS

install: mod_auth_timeout.so probe_dbm

mod_auth_timeout.so: mod_auth_timeout.c
	\$(APXS) -c \$(APXS_CFLAGS) \$(APXS_LDFLAGS) -Wc,-dH -Wc,-O0 -i mod_auth_timeout.c

probe_dbm: probe_dbm.c
	gcc \$(APR_CFLAGS) \$(APU_CFLAGS) -o \$(SRC_TOP)/probe_dbm probe_dbm.c \
		\$(APR_LDFLAGS) \$(APU_LDFLAGS)

clean:
	rm *.lo *.o *.la *.slo
EOM
